Name:       magicmonlister
Version:    1.0 
Release:    12%{?dist}
Summary:    Utility for adding info-managed servers to MKISS

Group:      Applications/System
License:    GPLv3+
URL:        http://www.magic.fr
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-root

Requires:   bash
Requires:   curl
Requires:   perl

%description
Magic Monitoring Lister browses a list of info-managed servers and adds each 
server to the Magic Kiss Monitoring V3 list depending on the condition that
this latter has a running magicollectd. If the server is already added, then
no double addition is to happen.
In order to run the programm, just issue the command : magicmonlister

%prep
%setup

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/local/sbin/
install -m 755 magicmonlister %{buildroot}/usr/local/sbin/

%clean
rm -rf %{buildroot}

%post
echo "Magic Monitoring Lister taking place.." || :

%postun
echo -e "Post uninstallation ...\n"

%files
%defattr(-,root,root,-)
%attr(755,root,root) /usr/local/sbin/magicmonlister
%doc README.md
/usr/local/sbin/
/usr/local/sbin/magicmonlister

%changelog
* Mon Mar 16 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-12.el6
- Changed html files folder to /home/sdfrance/www/hosting/
* Thu Sep 30 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-11.el6
- Option -b to grep Distro name and bash version use : -bvl
* Thu Sep 18 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-10.el6
- Option -n to fetch hostname used by collectd
* Wed Sep 17 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-8.el6
- Option -n to fetch machine's short hostname
* Fri Aug 29 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-7.el6
- Added option -c to activate colored output
* Wed Aug 27 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-6.el6
- Updated the help with additional server type elements q
* Wed Aug 27 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-5.el6
- Updated the help with additional server type elements
* Sun Aug 10 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-4.el6
- Pre-support of server real type
* Sun Aug 10 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-3.el6
- Added option -d to disable appending to MKISS
- Now deployer returns type of a machine
* Fri Aug 8 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-2.el6
- Enhancements
* Thu Aug 7 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-1.el6
- First Functional build
